ThreeEntityQueryGenerator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.query
Class ThreeEntityQueryGenerator

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.query.ThreeEntityQueryGenerator

All Implemented Interfaces:
  RelationQueryGenerator

    public final class ThreeEntityQueryGenerator

extends Object
implements RelationQueryGenerator

Selects data from a relation middle-table and a two related versions entity.

Constructor Summary
`ThreeEntityQueryGenerator(GlobalConfiguration globalCfg, AuditEntitiesConfiguration verEntCfg, AuditStrategy auditStrategy, String versionsMiddleEntityName, MiddleIdData referencingIdData, MiddleIdData referencedIdData, MiddleIdData indexIdData, MiddleComponentData... componentDatas)`

Method Summary
`Query` | `getQuery(AuditReaderImplementor versionsReader, Object primaryKey, Number revision)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreeEntityQueryGenerator

    public ThreeEntityQueryGenerator(GlobalConfiguration globalCfg,
                                     AuditEntitiesConfiguration verEntCfg,
                                     AuditStrategy auditStrategy,
                                     String versionsMiddleEntityName,
                                     MiddleIdData referencingIdData,
                                     MiddleIdData referencedIdData,
                                     MiddleIdData indexIdData,
                                     MiddleComponentData... componentDatas)

Method Detail

### getQuery

    public Query getQuery(AuditReaderImplementor versionsReader,
                          Object primaryKey,
                          Number revision)

  Specified by:
    `getQuery` in interface `RelationQueryGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.